eID middleware |

# be::portugal::eid::PTEID_Pin Class Reference

Class that represent one Pin. More...

Inheritance diagram for be::portugal::eid::PTEID_Pin:

List of all members.

## Public Member Functions
override void | Dispose ()
uint | getIndex ()
| Get the index of the pin.
uint | getType ()
| Get the type of the pin.
uint | getId ()
| Get the id of the pin.
PTEID_PinUsage | getUsageCode ()
| Get the usage code of the pin.
uint | getFlags ()
| Get the flags of the pin.
string | getLabel ()
| Get the label of the pin.
PTEID_ByteArray | getSignature ()
| Return the signature of the pin.
int | getTriesLeft ()
| Return the remaining tries for giving the good pin.
bool | verifyPin ()
| Ask the card to verify the pin.
bool | verifyPin (string csPin, ref uint ulRemaining)
| Ask the card to verify the pin.
bool | changePin ()
| Ask the card to change the pin.
bool | changePin (string csPin1, string csPin2, ref uint ulRemaining)
| Ask the card to change the pin.

## Detailed Description

Class that represent one Pin.

## Member Function Documentation

bool be::portugal::eid::PTEID_Pin::changePin | ( | string | csPin1,
|  | string | csPin2,
|  | ref uint | ulRemaining |
| ) |  |  | `[inline]`

Ask the card to change the pin.

if csPin1 or csPin2 are empty, a popup will ask for the codes.

Parameters:

  | csPin1 | is the old pin code
  | csPin2 | is the new pin code
  | ulRemaining | return the remaining tries (only when operation failed)

Returns:
  true if success and false if failed

bool be::portugal::eid::PTEID_Pin::changePin | ( |  | ) | `[inline]`

Ask the card to change the pin.

A popup will ask for the codes.

Returns:
  true if success and false if failed

override void be::portugal::eid::PTEID_Pin::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Crypto.

uint be::portugal::eid::PTEID_Pin::getFlags | ( |  | ) | `[inline]`

Get the flags of the pin.

uint be::portugal::eid::PTEID_Pin::getId | ( |  | ) | `[inline]`

Get the id of the pin.

uint be::portugal::eid::PTEID_Pin::getIndex | ( |  | ) | `[inline]`

Get the index of the pin.

string be::portugal::eid::PTEID_Pin::getLabel | ( |  | ) | `[inline]`

Get the label of the pin.

PTEID_ByteArray be::portugal::eid::PTEID_Pin::getSignature | ( |  | ) | `[inline]`

Return the signature of the pin.

int be::portugal::eid::PTEID_Pin::getTriesLeft | ( |  | ) | `[inline]`

Return the remaining tries for giving the good pin.

This opperation is not supported by all card.

Returns:
  -1 if not supported the number of remaining tries in the other case

uint be::portugal::eid::PTEID_Pin::getType | ( |  | ) | `[inline]`

Get the type of the pin.

PTEID_PinUsage be::portugal::eid::PTEID_Pin::getUsageCode | ( |  | ) | `[inline]`

Get the usage code of the pin.

bool be::portugal::eid::PTEID_Pin::verifyPin | ( | string | csPin,
|  | ref uint | ulRemaining |
| ) |  |  | `[inline]`

Ask the card to verify the pin.

Parameters:

  | csPin | is the pin code to verify (if csPin is empty, a popup will ask for the code)
  | ulRemaining | return the remaining tries (only if verifying failed)

Returns:
  true if success and false if failed

bool be::portugal::eid::PTEID_Pin::verifyPin | ( |  | ) | `[inline]`

Ask the card to verify the pin.

A popup will ask for the code.

Returns:
  true if success and false if failed